# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

# some defs
%define _altdocsdir %_defaultdocdir/alt-docs
%define _indexhtmldir %_altdocsdir/indexhtml

Name: indexhtml-school_lite
Version: 4.0
Release: alt2

Summary: School Lite html welcome page
License: %fdl
Group: System/Base
BuildArch: noarch
Packager: ALT Docs Team <docs@packages.altlinux.org>
BuildRequires(pre): rpm-build-licenses >= 0.6
BuildRequires: desktop-file-utils

# replace indexhtml-lite-school,
# 2:4.0-alt1 makes happy indexhtml-common
Provides: indexhtml-lite-school = 2:4.0-alt1
Obsoletes: indexhtml-lite-school < 2:4.0-alt1

Provides: indexhtml
Conflicts: indexhtml-sisyphus
Conflicts: indexhtml-Desktop
Conflicts: indexhtml-school_junior
Conflicts: indexhtml-school_master
Conflicts: indexhtml-school_terminal
Conflicts: indexhtml-small_business
Conflicts: indexhtml-school-server
Conflicts: indexhtml-office-server

Requires: xdg-utils

Source: %name-%version.tar
Source1: indexhtml.desktop

%description
School Lite index.html welcome page.

%prep
%setup

%install
mkdir -p %buildroot{%_indexhtmldir/,%_desktopdir/}
install -m644 * %buildroot%_indexhtmldir/
ln -s index-ru.html %buildroot%_indexhtmldir/index-en.html
touch %buildroot%_indexhtmldir/index.html
desktop-file-install --dir %buildroot%_desktopdir/ %SOURCE1

%post
%_sbindir/indexhtml-update

%files
%ghost %_indexhtmldir/index.html
%_indexhtmldir/*
%_desktopdir/*

%changelog
* Sun Mar 29 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.0-alt2
- fix typo in Conflicts: list
- use desktop-file-install to install .desktop file
- use StartupNotify=false in .desktop file

* Fri Mar 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 4.0-alt1
- update Conflicts: list
- remove obsolete %%update_menus/%%clean_menus calls
- use xdg-open to start browser
- new version scheme: version = branch

* Fri Jul 04 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.1.2-alt1
- used school_book issue instead of separate admin and user guides

* Tue Jun 03 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.1.1-alt1
- used relative local links

* Thu May 22 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.1-alt1
- initial build for Sisyphus


